=== debian/control ===
Source: ros-lunar-swri-rospy
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-swri-rospy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-rospy, ros-lunar-std-msgs, ros-lunar-std-srvs
Description: This package provides added functionaliy on top of rospy, including a single-threaded callback queue.
